Macaulay2 » Documentation
Packages » RationalMaps :: SaturateOutput
next | previous | forward | backward | up | index | toc

# SaturateOutput -- whether the value returned should be saturated

- Usage:
    `SaturateOutput=>b`

## Description

If SaturateOutput is true (the default), then functions will saturate their output. Otherwise they will not. It may be beneficial not to saturate in certain circumstances as saturation may slow computation.

## Functions with optional argument named SaturateOutput:

- `baseLocusOfMap(...,SaturateOutput=>...)` -- see baseLocusOfMap -- the base locus of a map from a projective variety to projective space

## For the programmer

The object SaturateOutput is a symbol.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/RationalMaps.m2:1441:0.